<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>GtrackUnitInstance Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GtrackUnitInstance Struct Reference<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___internal.html">Internals</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___a_l_g___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">Internal Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>GTRACK Unit instance structure.  
 <a href="struct_gtrack_unit_instance.html#details">More...</a></p>

<p><code>#include &lt;gtrack_int.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa6b2d305e245be81a34b99c2f3038d49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6b2d305e245be81a34b99c2f3038d49"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aa6b2d305e245be81a34b99c2f3038d49">uid</a></td></tr>
<tr class="memdesc:aa6b2d305e245be81a34b99c2f3038d49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tracking Unit identifier. <br /></td></tr>
<tr class="separator:aa6b2d305e245be81a34b99c2f3038d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdceb8755ff037cfb7560cebf01413d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdceb8755ff037cfb7560cebf01413d3"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#acdceb8755ff037cfb7560cebf01413d3">tid</a></td></tr>
<tr class="memdesc:acdceb8755ff037cfb7560cebf01413d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Target identifier. <br /></td></tr>
<tr class="separator:acdceb8755ff037cfb7560cebf01413d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeec3bc81d00c1924e099e0bb92b9ef4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeec3bc81d00c1924e099e0bb92b9ef4e"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aeec3bc81d00c1924e099e0bb92b9ef4e">heartBeatCount</a></td></tr>
<tr class="memdesc:aeec3bc81d00c1924e099e0bb92b9ef4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">TimeStamp. <br /></td></tr>
<tr class="separator:aeec3bc81d00c1924e099e0bb92b9ef4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92210d066d1f8d5319d379ec3dc5fd7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92210d066d1f8d5319d379ec3dc5fd7b"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a92210d066d1f8d5319d379ec3dc5fd7b">allocationTime</a></td></tr>
<tr class="memdesc:a92210d066d1f8d5319d379ec3dc5fd7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation Time. <br /></td></tr>
<tr class="separator:a92210d066d1f8d5319d379ec3dc5fd7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1262e44f1d95e84eb2fa2a7f04ecf02f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1262e44f1d95e84eb2fa2a7f04ecf02f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a1262e44f1d95e84eb2fa2a7f04ecf02f">allocationRange</a></td></tr>
<tr class="memdesc:a1262e44f1d95e84eb2fa2a7f04ecf02f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation Range. <br /></td></tr>
<tr class="separator:a1262e44f1d95e84eb2fa2a7f04ecf02f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add5db553e13f411eb206da68a3ee40e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add5db553e13f411eb206da68a3ee40e3"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#add5db553e13f411eb206da68a3ee40e3">allocationVelocity</a></td></tr>
<tr class="memdesc:add5db553e13f411eb206da68a3ee40e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation Radial Velocity. <br /></td></tr>
<tr class="separator:add5db553e13f411eb206da68a3ee40e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35780f8118415008ab5288761897b619"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35780f8118415008ab5288761897b619"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a35780f8118415008ab5288761897b619">associatedPoints</a></td></tr>
<tr class="memdesc:a35780f8118415008ab5288761897b619"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Associated Points. <br /></td></tr>
<tr class="separator:a35780f8118415008ab5288761897b619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aee4639c28b09f766bad263e12b9613"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0aee4639c28b09f766bad263e12b9613"></a>
<a class="el" href="gtrack__int_8h.html#a5e9684d2e87fbf099474d8ece4c3a69c">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a0aee4639c28b09f766bad263e12b9613">state</a></td></tr>
<tr class="memdesc:a0aee4639c28b09f766bad263e12b9613"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current State. <br /></td></tr>
<tr class="separator:a0aee4639c28b09f766bad263e12b9613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abafbe3b9dcf808feb7533349e32f17f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abafbe3b9dcf808feb7533349e32f17f0"></a>
<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#abafbe3b9dcf808feb7533349e32f17f0">stateVectorType</a></td></tr>
<tr class="memdesc:abafbe3b9dcf808feb7533349e32f17f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Requested State Vector type. <br /></td></tr>
<tr class="separator:abafbe3b9dcf808feb7533349e32f17f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146f97591436ef1690104dcd0d3b4d2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a146f97591436ef1690104dcd0d3b4d2e"></a>
<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a146f97591436ef1690104dcd0d3b4d2e">currentStateVectorType</a></td></tr>
<tr class="memdesc:a146f97591436ef1690104dcd0d3b4d2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current State Vector type. <br /></td></tr>
<tr class="separator:a146f97591436ef1690104dcd0d3b4d2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05be7a5f0dd94ae5bed509f5b306c56e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05be7a5f0dd94ae5bed509f5b306c56e"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a05be7a5f0dd94ae5bed509f5b306c56e">stateVectorLength</a></td></tr>
<tr class="memdesc:a05be7a5f0dd94ae5bed509f5b306c56e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of State Vector. <br /></td></tr>
<tr class="separator:a05be7a5f0dd94ae5bed509f5b306c56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2283049884611884950d9cbe0aea541c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2283049884611884950d9cbe0aea541c"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a2283049884611884950d9cbe0aea541c">measurementVectorLength</a></td></tr>
<tr class="memdesc:a2283049884611884950d9cbe0aea541c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of Measurement Vector. <br /></td></tr>
<tr class="separator:a2283049884611884950d9cbe0aea541c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb7f6f9898663323f18515155bb14a96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb7f6f9898663323f18515155bb14a96"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#abb7f6f9898663323f18515155bb14a96">verbose</a></td></tr>
<tr class="memdesc:abb7f6f9898663323f18515155bb14a96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Veboseness Mask. <br /></td></tr>
<tr class="separator:abb7f6f9898663323f18515155bb14a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acff777d8900f7cb036070ca6f1ed65ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acff777d8900f7cb036070ca6f1ed65ea"></a>
<a class="el" href="struct_g_t_r_a_c_k__gating_params.html">GTRACK_gatingParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#acff777d8900f7cb036070ca6f1ed65ea">gatingParams</a></td></tr>
<tr class="memdesc:acff777d8900f7cb036070ca6f1ed65ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gating Parameters. <br /></td></tr>
<tr class="separator:acff777d8900f7cb036070ca6f1ed65ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e4fdf80dc0593aa8a7e4404250d9a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29e4fdf80dc0593aa8a7e4404250d9a7"></a>
<a class="el" href="struct_g_t_r_a_c_k__state_params.html">GTRACK_stateParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a29e4fdf80dc0593aa8a7e4404250d9a7">stateParams</a></td></tr>
<tr class="memdesc:a29e4fdf80dc0593aa8a7e4404250d9a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">State Changing Parameters. <br /></td></tr>
<tr class="separator:a29e4fdf80dc0593aa8a7e4404250d9a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ab98de42c797538e7891378c3ccde00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ab98de42c797538e7891378c3ccde00"></a>
<a class="el" href="struct_g_t_r_a_c_k__allocation_params.html">GTRACK_allocationParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a9ab98de42c797538e7891378c3ccde00">allocationParams</a></td></tr>
<tr class="memdesc:a9ab98de42c797538e7891378c3ccde00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocation Parameters. <br /></td></tr>
<tr class="separator:a9ab98de42c797538e7891378c3ccde00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc09e4c3eb85007f54ca1fcd10141cd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc09e4c3eb85007f54ca1fcd10141cd9"></a>
<a class="el" href="struct_g_t_r_a_c_k__unrolling_params.html">GTRACK_unrollingParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#adc09e4c3eb85007f54ca1fcd10141cd9">unrollingParams</a></td></tr>
<tr class="memdesc:adc09e4c3eb85007f54ca1fcd10141cd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unrolling Parameters. <br /></td></tr>
<tr class="separator:adc09e4c3eb85007f54ca1fcd10141cd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c52073d192cb7496cdc8a76d0344b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25c52073d192cb7496cdc8a76d0344b9"></a>
<a class="el" href="struct_g_t_r_a_c_k__var_params.html">GTRACK_varParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a25c52073d192cb7496cdc8a76d0344b9">variationParams</a></td></tr>
<tr class="memdesc:a25c52073d192cb7496cdc8a76d0344b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Measurement Variation Parameters. <br /></td></tr>
<tr class="separator:a25c52073d192cb7496cdc8a76d0344b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793257d972d9f44a6ebdeb86dc0fca91"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a793257d972d9f44a6ebdeb86dc0fca91"></a>
<a class="el" href="struct_g_t_r_a_c_k__scenery_params.html">GTRACK_sceneryParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a793257d972d9f44a6ebdeb86dc0fca91">sceneryParams</a></td></tr>
<tr class="memdesc:a793257d972d9f44a6ebdeb86dc0fca91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scenery Parameters. <br /></td></tr>
<tr class="separator:a793257d972d9f44a6ebdeb86dc0fca91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa004b6df326f7a22d599aed46e0a3682"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa004b6df326f7a22d599aed46e0a3682"></a>
<a class="el" href="gtrack__int_8h.html#a7936ffef1c9c3fa4f8598728bb6362a6">VelocityHandlingState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aa004b6df326f7a22d599aed46e0a3682">velocityHandling</a></td></tr>
<tr class="memdesc:aa004b6df326f7a22d599aed46e0a3682"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current velocity handling State. <br /></td></tr>
<tr class="separator:aa004b6df326f7a22d599aed46e0a3682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e53f47947da183c1470e75a899679be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e53f47947da183c1470e75a899679be"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a1e53f47947da183c1470e75a899679be">initialRadialVelocity</a></td></tr>
<tr class="memdesc:a1e53f47947da183c1470e75a899679be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected target radial velocity at the moment of detection, m/s. <br /></td></tr>
<tr class="separator:a1e53f47947da183c1470e75a899679be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5618e4499db43681b563eb9132e2cf64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5618e4499db43681b563eb9132e2cf64"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a5618e4499db43681b563eb9132e2cf64">maxRadialVelocity</a></td></tr>
<tr class="memdesc:a5618e4499db43681b563eb9132e2cf64"><td class="mdescLeft">&#160;</td><td class="mdescRight">Absolute value of maximum radial velocity measure by the sensor, m/s. <br /></td></tr>
<tr class="separator:a5618e4499db43681b563eb9132e2cf64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9768bdbb609e24d115d3e906d4a69bab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9768bdbb609e24d115d3e906d4a69bab"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a9768bdbb609e24d115d3e906d4a69bab">radialVelocityResolution</a></td></tr>
<tr class="memdesc:a9768bdbb609e24d115d3e906d4a69bab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Radial velocity resolution of the sensor, m/s. <br /></td></tr>
<tr class="separator:a9768bdbb609e24d115d3e906d4a69bab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40ae8f1b326cafe1f1799e98a5d6612b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40ae8f1b326cafe1f1799e98a5d6612b"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a40ae8f1b326cafe1f1799e98a5d6612b">rangeRate</a></td></tr>
<tr class="memdesc:a40ae8f1b326cafe1f1799e98a5d6612b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current Range Rate value. <br /></td></tr>
<tr class="separator:a40ae8f1b326cafe1f1799e98a5d6612b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfd3892bed9c5ce5a31caec6e7c2a562"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfd3892bed9c5ce5a31caec6e7c2a562"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#abfd3892bed9c5ce5a31caec6e7c2a562">detect2activeCount</a></td></tr>
<tr class="memdesc:abfd3892bed9c5ce5a31caec6e7c2a562"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detection state count to active. <br /></td></tr>
<tr class="separator:abfd3892bed9c5ce5a31caec6e7c2a562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa217c21896c547f370979378ca257baa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa217c21896c547f370979378ca257baa"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aa217c21896c547f370979378ca257baa">detect2freeCount</a></td></tr>
<tr class="memdesc:aa217c21896c547f370979378ca257baa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detection state count to free. <br /></td></tr>
<tr class="separator:aa217c21896c547f370979378ca257baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1b1dc30fc52f00d15fde4e0ed25d7b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1b1dc30fc52f00d15fde4e0ed25d7b6"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#ad1b1dc30fc52f00d15fde4e0ed25d7b6">active2freeCount</a></td></tr>
<tr class="memdesc:ad1b1dc30fc52f00d15fde4e0ed25d7b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Active state count to free. <br /></td></tr>
<tr class="separator:ad1b1dc30fc52f00d15fde4e0ed25d7b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa29484fea86b4697f49f2b60e74bfaf3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa29484fea86b4697f49f2b60e74bfaf3"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aa29484fea86b4697f49f2b60e74bfaf3">maxAcceleration</a></td></tr>
<tr class="memdesc:aa29484fea86b4697f49f2b60e74bfaf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configured target maximum acceleration. <br /></td></tr>
<tr class="separator:aa29484fea86b4697f49f2b60e74bfaf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5764f2f87d9a8eb1d225fe6529b1e392"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5764f2f87d9a8eb1d225fe6529b1e392"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a5764f2f87d9a8eb1d225fe6529b1e392">processVariance</a></td></tr>
<tr class="memdesc:a5764f2f87d9a8eb1d225fe6529b1e392"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current Process Variance. <br /></td></tr>
<tr class="separator:a5764f2f87d9a8eb1d225fe6529b1e392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab815b1ffdbdf7dfb5852e13035c3e24c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab815b1ffdbdf7dfb5852e13035c3e24c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#ab815b1ffdbdf7dfb5852e13035c3e24c">dt</a></td></tr>
<tr class="memdesc:ab815b1ffdbdf7dfb5852e13035c3e24c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configured Frame rate. <br /></td></tr>
<tr class="separator:ab815b1ffdbdf7dfb5852e13035c3e24c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8b7d3969e92649267fa29c3b6cd692"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b8b7d3969e92649267fa29c3b6cd692"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a5b8b7d3969e92649267fa29c3b6cd692">F4</a></td></tr>
<tr class="memdesc:a5b8b7d3969e92649267fa29c3b6cd692"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2D Transition matrix. <br /></td></tr>
<tr class="separator:a5b8b7d3969e92649267fa29c3b6cd692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7346bb4d2ee68bdcccf07af2fcd4ebc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7346bb4d2ee68bdcccf07af2fcd4ebc"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#ab7346bb4d2ee68bdcccf07af2fcd4ebc">F6</a></td></tr>
<tr class="memdesc:ab7346bb4d2ee68bdcccf07af2fcd4ebc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2DA Transition matrix. <br /></td></tr>
<tr class="separator:ab7346bb4d2ee68bdcccf07af2fcd4ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5753068d884c11a2d5025edd1dd89ce3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5753068d884c11a2d5025edd1dd89ce3"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a5753068d884c11a2d5025edd1dd89ce3">Q4</a></td></tr>
<tr class="memdesc:a5753068d884c11a2d5025edd1dd89ce3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2D Process Noise matrix. <br /></td></tr>
<tr class="separator:a5753068d884c11a2d5025edd1dd89ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c09b72a6793d181a8cab4b16a6701c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08c09b72a6793d181a8cab4b16a6701c"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a08c09b72a6793d181a8cab4b16a6701c">Q6</a></td></tr>
<tr class="memdesc:a08c09b72a6793d181a8cab4b16a6701c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to 2DA Process Noise matrix. <br /></td></tr>
<tr class="separator:a08c09b72a6793d181a8cab4b16a6701c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e4bb19c051e41e727dc17df3077c1f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e4bb19c051e41e727dc17df3077c1f8"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a4e4bb19c051e41e727dc17df3077c1f8">F</a></td></tr>
<tr class="memdesc:a4e4bb19c051e41e727dc17df3077c1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to current Transition matrix. <br /></td></tr>
<tr class="separator:a4e4bb19c051e41e727dc17df3077c1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82269c78e9af4f73f1601de4c16f278b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82269c78e9af4f73f1601de4c16f278b"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a82269c78e9af4f73f1601de4c16f278b">Q</a></td></tr>
<tr class="memdesc:a82269c78e9af4f73f1601de4c16f278b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to current Process Noise matrix. <br /></td></tr>
<tr class="separator:a82269c78e9af4f73f1601de4c16f278b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c92d5d0139e6f4822a135a476ada67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3c92d5d0139e6f4822a135a476ada67"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#ac3c92d5d0139e6f4822a135a476ada67">S_hat</a> [6]</td></tr>
<tr class="memdesc:ac3c92d5d0139e6f4822a135a476ada67"><td class="mdescLeft">&#160;</td><td class="mdescRight">State matrix, estimated. <br /></td></tr>
<tr class="separator:ac3c92d5d0139e6f4822a135a476ada67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a798668a1f67e2edae4735a12443ea22a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a798668a1f67e2edae4735a12443ea22a"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a798668a1f67e2edae4735a12443ea22a">S_apriori_hat</a> [6]</td></tr>
<tr class="memdesc:a798668a1f67e2edae4735a12443ea22a"><td class="mdescLeft">&#160;</td><td class="mdescRight">State matrix, predicted. <br /></td></tr>
<tr class="separator:a798668a1f67e2edae4735a12443ea22a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2205806035afba6393139fb2d06c0548"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2205806035afba6393139fb2d06c0548"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a2205806035afba6393139fb2d06c0548">P_hat</a> [36]</td></tr>
<tr class="memdesc:a2205806035afba6393139fb2d06c0548"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process matrix, estimated. <br /></td></tr>
<tr class="separator:a2205806035afba6393139fb2d06c0548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93dcf9ea02326c81cbfba3689aa5bcc6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93dcf9ea02326c81cbfba3689aa5bcc6"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a93dcf9ea02326c81cbfba3689aa5bcc6">P_apriori_hat</a> [36]</td></tr>
<tr class="memdesc:a93dcf9ea02326c81cbfba3689aa5bcc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process matrix, predicted. <br /></td></tr>
<tr class="separator:a93dcf9ea02326c81cbfba3689aa5bcc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae30ca2ccc2fed694eae01d9c8f2bf7b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae30ca2ccc2fed694eae01d9c8f2bf7b4"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#ae30ca2ccc2fed694eae01d9c8f2bf7b4">H_s</a> [3]</td></tr>
<tr class="memdesc:ae30ca2ccc2fed694eae01d9c8f2bf7b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected Measurment matrix. <br /></td></tr>
<tr class="separator:ae30ca2ccc2fed694eae01d9c8f2bf7b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f7ef87776183ee27b8ccdd333a4666a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f7ef87776183ee27b8ccdd333a4666a"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a0f7ef87776183ee27b8ccdd333a4666a">gD</a> [9]</td></tr>
<tr class="memdesc:a0f7ef87776183ee27b8ccdd333a4666a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Group Dispersion matrix. <br /></td></tr>
<tr class="separator:a0f7ef87776183ee27b8ccdd333a4666a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e084483766650f13dee6420b4a6637c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e084483766650f13dee6420b4a6637c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#a9e084483766650f13dee6420b4a6637c">gC</a> [9]</td></tr>
<tr class="memdesc:a9e084483766650f13dee6420b4a6637c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Group Member Covariance matrix (between a member in measurment group and group centroid) <br /></td></tr>
<tr class="separator:a9e084483766650f13dee6420b4a6637c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2866bf7ae8f6ecf9cf480ed2e356eb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2866bf7ae8f6ecf9cf480ed2e356eb6"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#af2866bf7ae8f6ecf9cf480ed2e356eb6">gC_inv</a> [9]</td></tr>
<tr class="memdesc:af2866bf7ae8f6ecf9cf480ed2e356eb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inverse of Group Covariance matrix. <br /></td></tr>
<tr class="separator:af2866bf7ae8f6ecf9cf480ed2e356eb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90292091fa73c963b21dcbd019a4957"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa90292091fa73c963b21dcbd019a4957"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html#aa90292091fa73c963b21dcbd019a4957">G</a></td></tr>
<tr class="memdesc:aa90292091fa73c963b21dcbd019a4957"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gain used in association function. <br /></td></tr>
<tr class="separator:aa90292091fa73c963b21dcbd019a4957"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GTRACK Unit instance structure. </p>
<p>The structure describes the individual GTRACK unit instance </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="gtrack__int_8h.html">gtrack_int.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
